#include <iostream>

using namespace std;

int main()
{
    int n,m,w = 2, r = 3, t, brojac=0;
    cin>> n >> m;
    int odgovori[m];
    int du[n][w],du2[m][r];
    for(int i = 0; i < n; i++)
    {
        for(int k = 0; k < 2; k++)
        {
            cin>> du[i][k];
        }
    }
    for(int i = 0; i < m; i++)
    {
        for(int k = 0; k < 3; k++)
        {
            cin>> du2[i][k];
        }
        t = du2[i][0];
            while(t<=du2[i][1])
            {
                if(du[t-1][0] <= du2[i][2] && du[t-1][1] >= du2[i][2])
                {
                    brojac++;
                }
                t++;
            }
        odgovori[i] = brojac;
        brojac = 0;
    }
    for(int i = 0; i < m; i++)
    {
        cout << odgovori [i]<<endl;
    }
    return 0;
}